## org.jfree.chart.renderer.xy
Class DeviationRenderer.State

    java.lang.Object
      org.jfree.chart.renderer.RendererState
          org.jfree.chart.renderer.xy.XYItemRendererState
              org.jfree.chart.renderer.xy.XYLineAndShapeRenderer.State
                  org.jfree.chart.renderer.xy.DeviationRenderer.State

Enclosing class:
  DeviationRenderer

    public static class DeviationRenderer.State

extends XYLineAndShapeRenderer.State

A state object that is passed to each call to `drawItem`.

Field Summary
`java.util.List` `lowerCoordinates` A list of coordinates for the lower y-values in the current series (after translation into Java2D space).
`java.util.List` `upperCoordinates` A list of coordinates for the upper y-values in the current series (after translation into Java2D space).

Fields inherited from class org.jfree.chart.renderer.xy.XYLineAndShapeRenderer.State
`seriesPath`

Fields inherited from class org.jfree.chart.renderer.xy.XYItemRendererState
`workingLine`

Constructor Summary
`DeviationRenderer.State(PlotRenderingInfo info)` Creates a new state instance.

Method Summary

Methods inherited from class org.jfree.chart.renderer.xy.XYLineAndShapeRenderer.State
`isLastPointGood, setLastPointGood`

Methods inherited from class org.jfree.chart.renderer.xy.XYItemRendererState
`getProcessVisibleItemsOnly, setProcessVisibleItemsOnly`

Methods inherited from class org.jfree.chart.renderer.RendererState
`getEntityCollection, getInfo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### upperCoordinates

    public java.util.List upperCoordinates

  A list of coordinates for the upper y-values in the current series (after translation into Java2D space).

### lowerCoordinates

    public java.util.List lowerCoordinates

  A list of coordinates for the lower y-values in the current series (after translation into Java2D space).

Constructor Detail

### DeviationRenderer.State

    public DeviationRenderer.State(PlotRenderingInfo info)

  Creates a new state instance.

  Parameters:
    `info` - the plot rendering info.